#include <iostream>

#include <QtGui>

#include "picBox.h"

using namespace std;

picBox::picBox(QWidget *parent, Qt::WindowFlags f):QFrame(parent, f)
{
	setFrameShape(QFrame::Box);
	setFrameShadow(QFrame::Raised);
	
	layout = new QHBoxLayout;
	drawPad = new pad;
	
	setLayout(layout);
	layout->addWidget(drawPad);
	layout->setMargin(0);
	drawPad->setParent(this);
}

picBox::picBox(int x, int y)
{
	setFrameShape(QFrame::Box);
	setFrameShadow(QFrame::Raised);
	
	layout = new QHBoxLayout;
	drawPad = new pad(x, y);
	
	setLayout(layout);
	layout->addWidget(drawPad);
	layout->setMargin(0);
	drawPad->setParent(this);
}

bool picBox::loadImg(const QString filename)
{
	return (drawPad->loadImg(filename));
}

void picBox::threshold(int p)
{
	drawPad->threshold(p);
}

void picBox::mouseDownEvent(QMouseEvent *event)
{
	QMouseEvent e(*event);
	emit mouseDown(e);
	//drawPad->setPoint(event->x(), event->y(), 255, 0, 0);
}

void picBox::mouseMoveEvent(QMouseEvent *event)
{
	QMouseEvent e(*event);
	emit mouseMove(e);
}

void picBox::mouseUpEvent(QMouseEvent *event)
{
	QMouseEvent e(*event);
	emit mouseUp(e);
}

void picBox::setPoint(int x, int y, int r, int g, int b)
{
	drawPad->setPoint(x, y, r, g, b);
}

void picBox::setBackground(QPixmap *background)
{
	drawPad->setBackground(background);
}

void picBox::earse(void)
{
	drawPad->earse();
}

void picBox::drawCircle(int x, int y, int ra, int r, int g, int b)
{
	drawPad->drawCircle(x, y, ra, r, g, b);
}


QPixmap picBox::getBuffer(void)
{
	
}

void picBox::buffer2background(void)
{
	drawPad->buffer2background();
}
