#ifndef PICBOX_H
#define PICBOX_H

#include <QtGui>

#include "pad.h"

class pad;

class picBox : public QFrame
{
	Q_OBJECT
	public:
		picBox(QWidget *parent=0, Qt::WindowFlags f=0);
		picBox(int x, int y);
		void setBackground(QPixmap *background);
		bool loadImg(const QString filename);
		void threshold(int p);
		void mouseDownEvent(QMouseEvent *event);
		void mouseMoveEvent(QMouseEvent *event);
		void mouseUpEvent(QMouseEvent *event);
		void setPoint(int x, int y, int r, int g, int b);
		void earse(void);
		void drawCircle(int x, int y, int ra, int r, int g, int b);
		void buffer2background(void);
		
		QPixmap getBuffer(void);
		
	signals:
		void mouseDown(QMouseEvent &event);
		void mouseMove(QMouseEvent &event);
		void mouseUp(QMouseEvent &event);
	private:
		QHBoxLayout *layout;
		pad *drawPad;
	
};

#endif
