#ifndef WINDOW_H
#define WINDOW_H

#include <QtGui>

#include "picBox.h"

class window : public QMainWindow
{
	Q_OBJECT
	public:
		window(QWidget *parent=0, Qt::WindowFlags flags=0);
	public slots:
		void loadPic(void);
		void thresholdPic(void);
		void calibration(void);
		void setCameraPoint(QMouseEvent &event);
		
		void worldMouseDown(QMouseEvent &event);
		void worldMouseUp(QMouseEvent &event);
		void worldMouseMove(QMouseEvent &event);
	private:
		void worldBg(void);
		
		QWidget *m_cWidget;
		QHBoxLayout *m_layout;
		
		picBox *m_camera;
		picBox *m_world;
		QFrame *m_frame;
		QVBoxLayout *m_panelLayout;
		
		QFrame *m_infoFrame;
		QVBoxLayout *m_infoLayout;
		
		QPushButton *m_loadPicBtn;
		QPushButton *m_thresholdBtn;
		QPushButton *m_calibrationBtn;
		
		QPushButton *m_closeBtn;
		
		QLabel *m_pointLbl;
		
		
		int m_stepIndex;
		double m_worldPoints[16][2];
		double m_cameraPoints[16][2];
		double m_rotate[3][3];
		double m_translation[3];
		double m_f;
		bool m_worldMouseDown;
		void convert(int x, int y, double &cx, double &cy);
		void prt(int x, int y);
};

#endif
